# CreateServiceChannelInput

### Fields

#### clientMutationId ([String](/graphql-api/api-reference/objects/string.md))

A unique identifier for the client performing the mutation.

#### name ([String](/graphql-api/api-reference/objects/string.md)!)

The name of the service channel

#### slug ([String](/graphql-api/api-reference/objects/string.md))

The slug that is used for connecting this service channel to a checkout. Leave this field empty to automatically generate the slug from the service channel name

#### address ([String](/graphql-api/api-reference/objects/string.md))

Physical address and/or contact details for this service channel

#### bccEmail ([String](/graphql-api/api-reference/objects/string.md))

Every email sent to a customer assigned to this Service Channel will also be BCC'd to this email address.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.firmhouse.com/graphql-api/api-reference/objects/create-service-channel-input.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
